﻿// Copyright (c) .NET Foundation and contributors. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for full license information.

namespace Microsoft.DotNet.Tools.Help
{
    internal class LocalizableStrings
    {
        public const string Usage = "Usage";

        public const string Arguments = "Arguments";

        public const string CommandDefinition = "The command to execute";

        public const string ArgumentsDefinition = "Arguments to pass to the command";

        public const string HostOptionsDefinition = "Options specific to dotnet (host)";

        public const string OptionsDescription = "Options common to all commands";

        public const string CommonOptions = "Common options";

        public const string VerboseDefinition = "Enable verbose output";

        public const string DiagnosticsDefinition = "Enable diagnostic output";

        public const string HelpDefinition = "Show help";

        public const string HostOptions = "Host options (passed before the command)";

        public const string VersionDescription = "Display .NET CLI Version Number";

        public const string InfoDescription = "Display .NET CLI Info";

        public const string Commands = "Commands";

        public const string NewDefinition = "Initialize .NET projects.";

        public const string RestoreDefinition = "Restore dependencies specified in the .NET project.";

        public const string BuildDefinition = "Builds a .NET project.";

        public const string PublishDefinition = "Publishes a .NET project for deployment (including the runtime).";

        public const string RunDefinition = "Compiles and immediately executes a .NET project.";

        public const string TestDefinition = "Runs unit tests using the test runner specified in the project.";

        public const string PackDefinition = "Creates a NuGet package.";

        public const string MigrateDefinition = "Migrates a project.json based project to a msbuild based project.";

        public const string ProjectModificationCommands = "Project modification commands";

        public const string AddDefinition = "Add items to the project.";

        public const string RemoveDefinition = "Remove items from the project.";

	public const string ListDefinition = "List items in the project.";

        public const string AdvancedCommands = "Advanced Commands";

        public const string NugetDefinition = "Provides additional NuGet commands.";

        public const string MsBuildDefinition = "Runs Microsoft Build Engine (MSBuild).";

        public const string VsTestDefinition = "Runs Microsoft Test Execution Command Line Tool.";

        public const string CleanDefinition = "Clean build output(s).";

        public const string SlnDefinition = "Modify solution (SLN) files.";

        public const string CommandDoesNotExist = "Specified command '{0}' is not a valid CLI command. Please specify a valid CLI commands. For more information, run dotnet help.";

        public const string AppFullName = ".NET CLI help utility";

        public const string AppDescription = "Utility to get more detailed help about each of the CLI commands.";

        public const string CommandArgumentName = "COMMAND_NAME";

        public const string CommandArgumentDescription = "CLI command for which to view more detailed help.";



    }
}
